---
lang: en
title: 'API docs: repository.wherebuilder.and'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.wherebuilder.and.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [WhereBuilder](./repository.wherebuilder.md) &gt; [and](./repository.wherebuilder.and.md)

## WhereBuilder.and() method

Add an `and` clause.

<b>Signature:</b>

```typescript
and(...w: (Where<MT> | Where<MT>[])[]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  w | <code>(Where&lt;MT&gt; &#124; Where&lt;MT&gt;[])[]</code> | One or more where objects |

<b>Returns:</b>

`this`


